Bug 33589 - Install aborts with [Errno 28] No space left on device
Install aborts with [Errno 28] No space left on device
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-28 06:09 EST by ym wong
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-29 12:00:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ym wong 2001-03-28 06:09:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


On a Sony Vaio F270 which had a working RH6.2 upgrade aborts. When I tried 
to do a new install, has the same problem.

Reproducible: Always
Steps to Reproduce:
1. Start with a Sony Vaio with disk partitioned, 60M for root, 1.5G 
for /usr, 118M for swap. Win 98 is the first partition on disk.
2. install from CD
3. 
	

Actual Results:  [Install aborts and saved dump onto floppy. System 
reboots.

The following is anaconda's dump...

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/tmp/updates/todo.py", line 1638, in doInstall
    self.createCdrom()
  File "/tmp/updates/todo.py", line 1189, in createCdrom
    os.symlink(device, self.instPath + "/dev/" + cdname)
OSError: [Errno 28] No space left on device

Local variables in innermost frame:
device: hdc
list: ['hdc']
self: <todo.ToDo instance at 8451b98>
cdname: cdrom
count: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Expected Results:  Successful install

Installed components were trimmed down to 500M or so, still doesn't work. 
Installed components were basically just kernel, x, network client, no 
multimedia, no programming tools.
Tried to use the anaconda patch (anaconda update disk (RHBA-2000-084)), 
has same behavior.
Comment 1 Michael Fulbright 2001-03-29 12:00:16 EST
You need at least 100M, 150M is better, for the '/' partition.

The next version of the installer will display a warning about this.

Note You need to log in before you can comment on or make changes to this bug.